[ Avaa Bypassed ]




Upload:

Command:

hmhc3928@3.147.61.125: ~ $
#!/bin/sh
#
# ifdown-sit
#
#
# Taken from:
# (P) & (C) 2000-2003 by Peter Bieringer <pb@bieringer.de>
#
#  You will find more information on the initscripts-ipv6 homepage at
#   http://www.deepspace6.net/projects/initscripts-ipv6.html
#
# RHL integration assistance by Pekka Savola <pekkas@netcore.fi>
#
# Version 2002-11-01
#
# Uses following information from /etc/sysconfig/network-scripts/ifcfg-$1:
#  DEVICE=<device>
#


. /etc/sysconfig/network

cd /etc/sysconfig/network-scripts
. ./network-functions

CONFIG=$1
[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
source_config

# IPv6 don't need aliases anymore, config is skipped
REALDEVICE=${DEVICE%%:*}
[ "$DEVICE" != "$REALDEVICE" ] && exit 0

[ -f /etc/sysconfig/network-scripts/network-functions-ipv6 ] || exit 1
. /etc/sysconfig/network-scripts/network-functions-ipv6


# Generic tunnel device sit0 is not supported here
if [ "$DEVICE" = "sit0" ]; then
    net_log $"Device '$DEVICE' isn't supported here, use IPV6_AUTOTUNNEL setting and restart (IPv6) networking"
    exit 1
fi

# IPv6 test, no module loaded, exit if system is not IPv6-ready
ipv6_test testonly || exit 0

# Test device status
ipv6_test_device_status $DEVICE
if [ $? != 0 -a $? != 11 ]; then
    # device doesn't exist or other problem occurs
    exit 0
fi

# Cleanup additional static routes
/etc/sysconfig/network-scripts/ifdown-routes ${REALDEVICE}

# Cleanup and shut down IPv6-in-IPv4 tunnel device
ipv6_del_tunnel_device $DEVICE

Filemanager

Name Type Size Permission Actions
ifcfg-eth0 File 83 B 0644
ifcfg-eth0:0 File 85 B 0644
ifcfg-lo File 254 B 0644
ifdown File 1.61 KB 0755
ifdown-Team File 1.58 KB 0755
ifdown-TeamPort File 1.52 KB 0755
ifdown-bnep File 654 B 0755
ifdown-eth File 6.38 KB 0755
ifdown-ib File 6.04 KB 0755
ifdown-ippp File 781 B 0755
ifdown-ipv6 File 4.43 KB 0755
ifdown-isdn File 781 B 0755
ifdown-post File 2.08 KB 0755
ifdown-ppp File 1.04 KB 0755
ifdown-routes File 870 B 0755
ifdown-sit File 1.42 KB 0755
ifdown-tunnel File 1.43 KB 0755
ifup File 4.89 KB 0755
ifup-Team File 1.71 KB 0755
ifup-TeamPort File 1.83 KB 0755
ifup-aliases File 12.12 KB 0755
ifup-bnep File 910 B 0755
ifup-eth File 13.44 KB 0755
ifup-ib File 10.11 KB 0755
ifup-ippp File 11.79 KB 0755
ifup-ipv6 File 11.61 KB 0755
ifup-isdn File 11.79 KB 0755
ifup-plip File 650 B 0755
ifup-plusb File 1.04 KB 0755
ifup-post File 4.88 KB 0755
ifup-ppp File 4.06 KB 0755
ifup-routes File 1.95 KB 0755
ifup-sit File 3.23 KB 0755
ifup-tunnel File 2.71 KB 0755
ifup-wireless File 1.79 KB 0755
init.ipv6-global File 5.29 KB 0755
network-functions File 20.19 KB 0644
network-functions-ipv6 File 30.26 KB 0644